[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: mod_ldap licensing issues

On Fri, Jan 31, 2003 at 03:59:37PM +0100, Francesco P. Lovergine wrote:
> We in Debian need some clarifications about your current license 
> for mod_ldap. We need minimally to move proftpd-ldap in non-free
> section when 1.2.7 will be uploaded. But this is not a problem of
> yours surely :). Your problem is another one: you released under

I'd hope that John would have some interest in keeping proftpd-ldap in
Debian ...

> GPL and added a send-me-a-postcard condition as an additional 
> constraint.
> Unfortunately, this (could) appear a violation of GPL licensing. 
> My own suggestion is adopting an ad-hoc GPL-like modified 
> license which contains also the postcard req. Or eventually
> drop that requirement.

The main problem I'm seeing--other than its non-freeness--is that proftpd
is GPL, and proftpd-ldap's license is GPL-incompatible.  Unless there's
something I'm missing (such as a poorly located license exception), that
makes it undistributable, and I'd expect that the Debian package would
have to either be removed or forked at the latest pure GPL release.

Glenn Maynard

Reply to: